QGIS Application - Bug report #7988
Transparency not saved to styles. QGIS 1.9.0
2013-06-03 11:12 AM - Eddy Barratt

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 16840
Description

I'm using 1.9.0 due to difficulties installing 1.8 on Ubuntu 13.04.

| have a style that is a singleband pseudocolor, and | decided | could do with the same style, but 50% transparent. So | used the
transparency tap to make that so, and saved the style.

Now if | try to assign the new style by clicking on Load Style then the layer looks transparent, as I'd hope. But in the transparency tab
transparency is apparently set at 0%. If | click OK or Apply, then this 0% transparency is assigned to the raster.

The only way to ensure that the correct style is applied is to 'Load Style' with the transparent style, and then click Cancel. A somewhat
counter intuitive work around (and not ideal, | tend to use the Multi QML plugin to assign styles to multiple layers, this fails with
transparent styles, | assume for similar reasons).

History

#1 - 2013-06-03 11:56 AM - Giovanni Manghi
- Status changed from Open to Feedback

Confirmed. This used to work on qgis 1.8 ?

#2 - 2013-06-03 12:11 PM - Larry Shaffer

- Assignee set to Jirgen Fischer

The layer transparency style support was apparently removed (or stubbed) with commit commit:6b2af9a

Not sure why or if that commit is the reason for the issue, so | assigned Jiirgen to the ticket.

#3 - 2013-06-03 03:48 PM - Jiirgen Fischer
- Assignee deleted (Jirgen Fischer)

The layer transparency wasn't used anymore - | just removed all the getters/setters.

#4 - 2014-06-22 02:41 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

this has been fixed recently in master.
